Переходим с Debian 5 на Debian 6

debian 5 lenny, debian 6 lenny — переезд, обновленияВот как уже более 2 месяцев закончилась поддержка Debian lenny 5 и в связи с этим необходимо переезжать на 6 версию. Но как и всегда вы столкнетесь с некоторыми трудностями, например как ipsmanager иногда не хочет «вставать» и подобные не маловажные факторы.

Давайте попробуем обновиться безболезненно и помолимся, чтобы все работало.

Обновляемся с Debian 5 до Debian 6 lenny:



Для начало добавим необходимые репы в наш /etc/apt/sources.list:

# Squeeze
deb http://security.debian.org squeeze/updates main contrib non-free
deb http://ftp.ru.debian.org/debian/ squeeze main non-free contrib
deb ftp://ftp.debian-multimedia.org squeeze main non-free


Обновим список пакетов:
apt-get update

и запустим обновление системы:
apt-get dist-upgrade

Примечание: в случае возникновения ошибки с неким пакетом splashy, то его следует удалить apt-getpurgesplashy

После завершения установки нам следует перезагрузить систему и отладить apache и php:

Добавим в наш /etc/apt/sources.list еще одну репу:
http://archive.debian.org/debian/ lenny main contrib non-free


Сменим приоритеты apt:

nano /etc/apt/preferences
и добавим туда следующие строки

Package: php5*
 Pin: release a=oldstable
 Pin-Priority: 700

Package: *
 Pin: release a=stable
Pin-Priority: 600


после чего установим php:

apt-get update
apt-get -t oldstable install `dpkg -l | grep php5| awk '{print $2}' |tr "\n" " "`


Вот и все, установка окончена и будем надеяться, что все в рабочем состоянии.
Перезапускаем apache и тестим:

dpkg -l | grep php5
/etc/init.d/apache2 restart

0 комментариев

Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.